/**
 * repraesentiert ein Girokonto in der Banksimulation
 * @author Martin Ploetz
 *
 */
public class Girokonto extends Konto {

	private double dispo;
	
	/**
	 * Girokonto-Konstruktor
	 * @param kontonr
	 * @param kunde
	 * @param bank
	 * @param dispo
	 */
	public Girokonto(int kontonr, Kunde kunde, Bank bank, double dispo) {
		super(kontonr, kunde, bank);
		this.dispo = dispo;
	}

	public double getDispo() {
		return dispo;
	}

	public void setDispo(double dispo) {
		this.dispo = dispo;
	}
	
	@Override
	public void auszahlen(double betrag){
		if(super.getKontostand()+dispo > betrag){
			super.auszahlen(betrag);
		}else{
			System.out.println("Konto nicht ausreichend gedeckt!");
		}
	}

}
