import java.util.ArrayList;

/**
 * repraesentiert einen Bankkunden in der Banksimulation
 * @author Martin Ploetz
 *
 */
public class Kunde {

	private final String name;
	private ArrayList<Girokonto> girokonten;
	private ArrayList<Sparkonto> sparkonten;
	
	/**
	 * Kunde-Konstruktor
	 * @param name Name des Kunden
	 */
	public Kunde(String name) {
		this.name = name;
		girokonten = new ArrayList<Girokonto>();
		sparkonten = new ArrayList<Sparkonto>();
	}
	
	public String getName() {
		return name;
	}

	/**
	 * fuegt dem Kunden ein Girokonto hinzu
	 * @param konto
	 */
	public void addGirokonto(Girokonto konto) {
		girokonten.add(konto);
	}
	
	/**
	 * fuegt dem Kunden ein Sparkonto hinzu
	 * @param konto
	 */
	public void addSparkonto(Sparkonto konto) {
		sparkonten.add(konto);
	}

}
